62 Packages in dev-qt

Portage Tree » dev-qt

Click the package name to view details, versions available and change logs.

assistant
Tool for viewing on-line documentation in Qt help file format - Versions: 5.6.2, 5.7.1, 4.8.6-r1, 4.8.7, 5.9.2 (|| ( LGPL-2.1 LGPL-3 ) FDL-1.3)
designer
WYSIWYG tool for designing and building Qt-based GUIs - Versions: 5.7.1, 5.9.2, 4.8.7, 5.6.2, 4.8.6-r1 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
linguist
Graphical tool for translating Qt applications - Versions: 4.8.7, 5.9.2, 5.7.1, 5.6.2, 4.8.6-r1 (|| ( LGPL-2.1 LGPL-3 GPL-3 ) FDL-1.3)
linguist-tools
Tools for working with Qt translation data files - Versions: 5.9.2, 5.6.2, 5.7.1 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
pixeltool
Qt screen magnifier - Versions: 4.8.7, 5.6.2, 5.9.2, 4.8.6-r1, 5.7.1 (|| ( LGPL-2.1 LGPL-3 GPL-3 ) FDL-1.3)
qdbus
Interface to Qt applications communicating over D-Bus - Versions: 5.7.1, 5.6.2, 5.9.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qdbusviewer
Graphical tool that lets you introspect D-Bus objects and messages - Versions: 5.7.1, 4.8.7, 4.8.6-r1, 5.6.2, 5.9.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qdoc
Qt documentation generator - Versions: 5.7.1, 5.6.2, 5.9.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qt-creator
Lightweight IDE for C++/QML development centering around Qt - Versions: 4.3.1, 4.4.1, 9999 (GPL-3)
qt-docs
Documentation for Qt5, for use with Qt Creator and other tools - Versions: 5.9.2_p201710050733, 5.6.2_p0-r1, 5.7.1_p0 (FDL-1.3)
qt-meta
Cross-platform application development framework (metapackage) - Versions: 4.8.6 (metapackage)
qt3d
The 3D module for the Qt5 framework - Versions: 5.9.2, 5.7.1-r1 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qt3support
The Qt3Support module for the Qt toolkit - Versions: 4.8.7, 4.8.6-r1 (|| ( LGPL-2.1 LGPL-3 GPL-3 ) FDL-1.3)
qtbearer
The network bearer plugins for the Qt toolkit - Versions: 4.8.7, 4.8.6-r1 (|| ( LGPL-2.1 LGPL-3 GPL-3 ) FDL-1.3)
qtbluetooth
Bluetooth support library for the Qt5 framework - Versions: 5.7.1, 5.6.2, 5.9.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtcharts
Chart component library for the Qt5 framework - Versions: 5.9.2, 5.7.1 (GPL-3)
qtchooser
Qt4/Qt5 version chooser - Versions: 0_p20151008, 0_p20170803 (|| ( LGPL-2.1 GPL-3 ))
qtconcurrent
Multi-threading concurrence support library for the Qt5 framework - Versions: 5.6.2, 5.9.2, 5.7.1 (|| ( LGPL-2.1 LGPL-3 ) FDL-1.3)
qtcore
Cross-platform application development framework - Versions: 5.6.2-r1, 4.8.7-r2, 4.8.6-r2, 5.9.2, 5.7.1-r3 (|| ( LGPL-2.1 LGPL-3 ) FDL-1.3)
qtdatavis3d
3D data visualization library for the Qt5 framework - Versions: 5.9.2, 5.7.1 (GPL-3)
qtdbus
The DBus module for the Qt toolkit - Versions: 4.8.7, 5.6.2, 5.9.2, 4.8.6-r1, 5.7.1 (|| ( LGPL-2.1 LGPL-3 GPL-3 ) FDL-1.3)
qtdeclarative
The QML and Quick modules for the Qt5 framework - Versions: 5.6.2, 5.7.1, 4.8.6-r1, 4.8.7, 5.7.1-r1, 5.9.2 (|| ( LGPL-2.1 LGPL-3 ) FDL-1.3)
qtdemo
Demonstration module and examples for the Qt toolkit - Versions: 4.8.6-r1, 4.8.7 (|| ( LGPL-2.1 LGPL-3 GPL-3 ) FDL-1.3)
qtdiag
Tool for reporting diagnostic information about Qt and its environment - Versions: 5.7.1, 5.9.2, 5.6.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtgraphicaleffects
Set of QML types for adding visual effects to user interfaces - Versions: 5.7.1, 5.6.2, 5.9.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtgui
The GUI module and platform plugins for the Qt5 framework - Versions: 5.7.1-r1, 4.8.7, 5.6.2, 4.8.6-r4, 5.9.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qthelp
The Help module for the Qt toolkit - Versions: 4.8.6-r3, 4.8.7, 5.9.2, 5.7.1, 5.6.2 (|| ( LGPL-2.1 LGPL-3 GPL-3 ) FDL-1.3)
qtimageformats
Additional format plugins for the Qt image I/O system - Versions: 5.9.2, 5.7.1, 5.6.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtlocation
The Location module for the Qt5 framework - Versions: 5.9.2, 5.7.1, 5.6.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtlockedfile
QFile extension with advisory locking functions - Versions: 2.4.1_p20150629 (|| ( LGPL-2.1 GPL-3 ))
qtmultimedia
The Multimedia module for the Qt toolkit - Versions: 4.8.7, 5.7.1, 5.9.2, 5.6.2, 4.8.6-r1 (|| ( LGPL-2.1 LGPL-3 GPL-3 ) FDL-1.3)
qtnetwork
Network abstraction library for the Qt5 framework - Versions: 5.7.1, 5.9.2, 5.6.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtnetworkauth
Network authorization library for the Qt5 framework - Versions: 5.9.2 (GPL-3)
qtopengl
OpenGL support library for the Qt5 framework (deprecated) - Versions: 5.9.2, 4.8.7, 4.8.6-r1, 5.7.1, 5.6.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtpaths
Command line client to QStandardPaths - Versions: 5.9.2, 5.7.1, 5.6.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtplugininfo
Qt5 plugin metadata dumper - Versions: 5.6.2, 5.9.2, 5.7.1 (|| ( LGPL-2.1 LGPL-3 ) FDL-1.3)
qtpositioning
Physical position determination library for the Qt5 framework - Versions: 5.6.2, 5.7.1, 5.9.2 (|| ( LGPL-2.1 LGPL-3 ) FDL-1.3)
qtprintsupport
Printing support library for the Qt5 framework - Versions: 5.7.1, 5.6.2, 5.9.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtquickcontrols
Set of controls used in conjunction with Qt Quick to build complete interfaces - Versions: 5.6.2, 5.9.2, 5.7.1 (|| ( LGPL-2.1 LGPL-3 ) FDL-1.3)
qtquickcontrols2
Set of next generation Qt Quick controls for the Qt5 framework - Versions: 5.7.1, 5.9.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtscript
Application scripting library for the Qt5 framework (deprecated) - Versions: 5.7.1, 5.6.2, 5.9.2, 4.8.7, 4.8.6-r2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtscxml
State Chart XML (SCXML) support library for the Qt5 framework - Versions: 5.7.1, 5.9.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtsensors
Hardware sensor access library for the Qt5 framework - Versions: 5.6.2, 5.7.1, 5.9.2 (|| ( LGPL-2.1 LGPL-3 ) FDL-1.3)
qtserialbus
Support for CAN and other serial buses - Versions: 5.9.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtserialport
Serial port abstraction library for the Qt5 framework - Versions: 5.9.2, 5.7.1, 5.6.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtsingleapplication
Qt library to start applications only once per user - Versions: 2.6.1_p20150629 (|| ( LGPL-2.1 GPL-3 ))
qtspeech
Text-to-speech library for the Qt5 framework - Versions: 5.9.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtsql
The SQL module for the Qt toolkit - Versions: 4.8.7-r1, 5.9.2, 5.7.1-r1, 5.6.2, 5.7.1, 4.8.6-r1 (|| ( LGPL-2.1 LGPL-3 GPL-3 ) FDL-1.3)
qtsvg
SVG rendering library for the Qt5 framework - Versions: 5.7.1, 4.8.6-r1, 5.9.2, 5.6.2, 4.8.7 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qttest
The QtTest module for unit testing Qt applications and libraries - Versions: 4.8.6-r1, 5.6.2, 5.9.2, 5.7.1, 4.8.7 (|| ( LGPL-2.1 LGPL-3 GPL-3 ) FDL-1.3)
qttranslations
Translation files for the Qt toolkit - Versions: 4.8.7, 5.6.2, 5.7.1, 5.9.2, 4.8.6-r1 (|| ( LGPL-2.1 LGPL-3 GPL-3 ) FDL-1.3)
qtvirtualkeyboard
Virtual keyboard plugin for the Qt5 framework - Versions: 5.9.2, 5.7.1 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtwayland
Wayland platform plugin for Qt - Versions: 5.9.2, 5.7.1, 5.6.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtwebchannel
Qt5 module for integrating C++ and QML applications with HTML/JavaScript clients - Versions: 5.7.1, 5.9.2, 5.6.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtwebengine
Library for rendering dynamic web content in Qt5 C++ and QML applications - Versions: 5.6.2-r1, 5.9.2, 5.7.1-r2 (|| ( LGPL-2.1 LGPL-3 ) FDL-1.3)
qtwebkit
The WebKit module for the Qt toolkit - Versions: 4.10.4, 5.6.2, 4.8.6-r1, 5.7.1, 5.9.1, 4.8.7 (|| ( LGPL-2.1 GPL-3 ))
qtwebsockets
Implementation of the WebSocket protocol for the Qt5 framework - Versions: 5.9.2, 5.6.2, 5.7.1 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtwebview
Module for displaying web content in a QML application using the Qt5 framework - Versions: 5.7.1, 5.9.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtwidgets
Set of components for creating classic desktop-style UIs for the Qt5 framework - Versions: 5.9.2, 5.6.2, 5.7.1 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtx11extras
Linux/X11-specific support library for the Qt5 framework - Versions: 5.7.1, 5.6.2, 5.9.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtxml
Implementation of SAX and DOM for the Qt5 framework - Versions: 5.7.1, 5.9.2, 5.6.2 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
qtxmlpatterns
XPath, XQuery, XSLT, and XML Schema validation library for the Qt5 framework - Versions: 5.9.2, 4.8.6-r1, 4.8.7, 5.6.2, 5.7.1 (|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3)
comments powered by Disqus